Bug 1769482 - Collect openshift-network-operator namespace on must-gather
Summary: Collect openshift-network-operator namespace on must-gather
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.2.z
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.2.z
Assignee: Casey Callendrello
QA Contact: zhaozhanqi
URL:
Whiteboard:
Depends On: 1769412
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-06 17:49 UTC by W. Trevor King
Modified: 2019-12-03 22:43 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1769412
Environment:
Last Closed: 2019-12-03 22:43:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-network-operator pull 387 'None' 'closed' 'Bug 1769482: pkg/controller/operconfig/operconfig_controller: Add operator namespace to relatedObjects' 2019-12-02 14:22:26 UTC
Red Hat Product Errata RHBA-2019:3953 None None None 2019-12-03 22:43:23 UTC

Description W. Trevor King 2019-11-06 17:49:09 UTC
+++ This bug was initially created as a clone of Bug #1769412 +++

For example, from a recent CI run, compare:

$ curl -s https://storage.googleapis.com/origin-ci-test/logs/release-openshift-origin-installer-e2e-aws-4.3/1372/artifacts/e2e-aws/must-gather/registry-svc-ci-openshift-org-ocp-4-3-2019-10-30-020950-sha256-dae1257b516a5c177237cfef5a6a3e241962b0d20cf54bcb2b66dc1671c5035e/cluster-scoped-resources/config.openshift.io/clusteroperators/ingress.yaml | yaml2json | jq -cS '.status.relatedObjects[]'
{"group":"","name":"openshift-ingress-operator","resource":"namespaces"}
{"group":"operator.openshift.io","name":"","namespace":"openshift-ingress-operator","resource":"IngressController"}
{"group":"ingress.operator.openshift.io","name":"","namespace":"openshift-ingress-operator","resource":"DNSRecord"}
{"group":"","name":"openshift-ingress","resource":"namespaces"}

with:

$ curl -s https://storage.googleapis.com/origin-ci-test/logs/release-openshift-origin-installer-e2e-aws-4.3/1372/artifacts/e2e-aws/must-gather/registry-svc-ci-openshift-org-ocp-4-3-2019-10-30-020950-sha256-dae1257b516a5c177237cfef5a6a3e241962b0d20cf54bcb2b66dc1671c5035e/cluster-scoped-resources/config.openshift.io/clusteroperators/network.yaml | yaml2json | jq -cS '.status.relatedObjects[] | select(.namespace == "cluster-network-operator")'
...no entries...

By adding a relatedObjects link to the network ClusterOperator, we can get important things like network-operator logs in the must-gather output.

Comment 2 zhaozhanqi 2019-11-22 06:13:07 UTC
Verified this bug on 4.2.0-0.nightly-2019-11-22-005934


curl https://storage.googleapis.com/origin-ci-test/logs/release-openshift-ocp-installer-e2e-aws-4.2/758/artifacts/e2e-aws/must-gather/quay-io-openshift-release-dev-ocp-v4-0-art-dev-sha256-9791b56e062dcdb40eb268eecc6ee926420c2c4ae7d79fa74637dbf83306883c/cluster-scoped-resources/config.openshift.io/clusteroperators/network.yaml | grep openshift-network-operator -C 3
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0  relatedObjects:
  - group: ""
    name: applied-cluster
    namespace: openshift-network-operator
    resource: configmaps
  - group: apiextensions.k8s.io
    name: network-attachment-definitions.k8s.cni.cncf.io
--
    resource: validatingwebhookconfigurations
  - group: ""
    name: openshift-service-ca
    namespace: openshift-network-operator
    resource: configmaps
  - group: apps
    name: multus-admission-controller
100  4532  100  4532    0     0   8121      0 --:--:-- --:--:-- --:--:--  8107
--
    namespace: openshift-sdn
    resource: daemonsets
  - group: ""
    name: openshift-network-operator
    resource: namespaces
  versions:
  - name: operator

Comment 4 errata-xmlrpc 2019-12-03 22:43:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:3953


Note You need to log in before you can comment on or make changes to this bug.